Class UmlBaseComponentDiagram

Manage the component diagrams

Declaration :

- C++ : class UmlBaseComponentDiagram : public UmlDiagram
- Java : abstract class UmlBaseComponentDiagram extends UmlDiagram

Directly inherited by : UmlComponentDiagram

Artifact : UmlBaseComponentDiagram

Operation create

returns a new component diagram named 's' created under 'parent'
In case it cannot be created (the name is already used or
invalid, 'parent' cannot contain it etc ...) return 0 in C++
and produce a RuntimeException in Java

Declaration :

- Uml : static, + create(inout parent : UmlComponentView, in s : str) : UmlComponentDiagram, exceptions : RuntimeException
- C++ : public: static UmlComponentDiagram * create(UmlComponentView * parent, const char * s)
- Java : public static UmlComponentDiagram create(UmlComponentView parent, String s) throws RuntimeException

Operation kind

returns the kind of the item

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

Operation UmlBaseComponentDiagram

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseComponentDiagram(in id : item_id, in n : string) :
- C++ : protected: UmlBaseComponentDiagram(void * id, const QCString & n) : UmlDiagram(id, n)
- Java : protected UmlBaseComponentDiagram(long id, String n)

All public operations : apply , children , childrenVisible , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , saveIn , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload